PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures
Data Structures
PDL API Reference » GFXSS (Graphics Sub System)

## General Description

## Data Structures
struct | cy_stc_gfx_cursor_config_t
| Cursor Configuration. More...
struct | cy_stc_gfx_rlad_cfg_t
| RLAD configuration structure. More...
struct | cy_stc_gfx_gpu_cfg_t
| GPU configuration structure. More...
struct | cy_stc_gfx_gpu_context_t
| GPU context. More...
struct | cy_stc_gfx_layer_config_t
| Layer Configuration structure. More...
struct | cy_stc_gfx_dc_config_t
| Display controller Configuration. More...
struct | cy_stc_gfx_dc_context_t
| Display controller context. More...
struct | cy_stc_gfx_config_t
| Graphics Block Configuration. More...
struct | cy_stc_gfx_context_t
| The Graphics internal context data. More...

## Data Structure Documentation

## ◆ cy_stc_gfx_cursor_config_t

struct cy_stc_gfx_cursor_config_t

Data Fields
uint32_t * | image_address | Cursor image address.
uint8_t | hotspot_x | Cursor hotspot x location.
uint8_t | hotspot_y | Cursor hotspot y location.
uint16_t | pos_x | Cursor position x location.
uint16_t | pos_y | Cursor position y location.
uint32_t | bgcolor | Cursor background colour.
uint32_t | fgcolor | Cursor foreground colour.
bool | enable | Layer state.

## ◆ cy_stc_gfx_rlad_cfg_t

struct cy_stc_gfx_rlad_cfg_t

Data Fields
cy_en_gfx_layer_type_t | layer_id | Layer ID.
uint32_t | image_width | Width of the image in number of pixels minus one.
uint32_t | image_height | Height of the image in number of pixels minus one.
uint32_t | compressed_image_size | Size of the the encoded image in number of 32-bit words minus one. Defined in image header file.
uint32_t * | image_address | Image address.
cy_en_gfx_rlad_comp_mode_t | compression_mode | RLAD compression mode.
cy_en_gfx_rlad_fmt_t | rlad_format | RLAD display format.
bool | enable | Layer state.

## ◆ cy_stc_gfx_gpu_cfg_t

struct cy_stc_gfx_gpu_cfg_t

Data Fields
bool | enable | GPU status.

## ◆ cy_stc_gfx_gpu_context_t

struct cy_stc_gfx_gpu_context_t

## ◆ cy_stc_gfx_layer_config_t

struct cy_stc_gfx_layer_config_t

Data Fields
cy_en_gfx_layer_type_t | layer_type | Layer type.
gctADDRESS * | buffer_address | Buffer.
gctADDRESS * | uv_buffer_address | UV Buffer, this is not available for overlay 1.
viv_input_format_type | input_format_type | Input format, Overlay 1 supports only linear format while Graphics/Video Layer and Overlay 0 support both linear and tiled formats.
viv_tiling_type | tiling_type | Tiliing format, Overlay 1 supports only vivLINEAR tiling type.
viv_layer_alpha_mode | alpha_mode | Alpha mode.
gctUINT32 | pos_x | Position X.
gctUINT32 | pos_y | Position Y.
gctUINT32 | width | Width.
gctUINT32 | height | Height.
gctUINT8 | zorder | Z Order.
gctBOOL | layer_enable | Layer status.
gctBOOL | visibility | Layer visibility.

## ◆ cy_stc_gfx_dc_config_t

struct cy_stc_gfx_dc_config_t

Data Fields
cy_stc_gfx_layer_config_t * | gfx_layer_config | Graphics/Video Layer configuration.
cy_stc_gfx_layer_config_t * | ovl0_layer_config | Overlay0 Layer configuration.
cy_stc_gfx_layer_config_t * | ovl1_layer_config | Overlay1 Layer configuration.
cy_stc_gfx_rlad_cfg_t * | rlad_config | RLAD configuration.
cy_stc_gfx_cursor_config_t * | cursor_config | Cursor configuration.
cy_en_gfx_display_type_t | display_type | Display type.
viv_display_format_type | display_format | Display format.
viv_display_size_type | display_size | Display size.
uint32_t | display_width | Display width.
uint32_t | display_height | Display height.
uint32_t | interrupt_mask | Interrupt mask refer to Interrupt Mask.

## ◆ cy_stc_gfx_dc_context_t

struct cy_stc_gfx_dc_context_t

## ◆ cy_stc_gfx_config_t

struct cy_stc_gfx_config_t

Data Fields
cy_stc_gfx_dc_config_t * | dc_cfg | Display controller configuration.
cy_stc_gfx_gpu_cfg_t * | gpu_cfg | GPU configuration is optional.
cy_stc_mipidsi_config_t * | mipi_dsi_cfg | MIPI DSI configuration.
cy_en_gfx_disp_buffer_update_type_t | display_update_type | Single / Dual / Split.
uint32_t | clockHz | The frequency of the clock connected to the GFXSS block in Hz.

## ◆ cy_stc_gfx_context_t

struct cy_stc_gfx_context_t